Subject: Re: [PATCH net] net: axienet: fix a signedness bug in probe

From: Andrew Lunn <[email-masked]>
Date: Thu, 26 Sep 2019 15:24:58 +0200

> The get_phy_mode() function seem like they lend themselves to creating
> these bugs.  The ->phy_mode variables tend to be declared in the driver
> so it would require quite a few patches to make them all int and I'm not
> sure that's more beautiful.  Andrew Lunn's idea to update the API would
> probably be a good idea.

Hi Dan

I started on it. Once net-next has opened, and 0-day has compile
tested my changes, i will post the code for review.

       Andrew